=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2011-01-12 01:01:53 +0000
+++ bzrlib/tests/test_transform.py	2011-01-13 01:29:41 +0000
@@ -14,6 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
+import errno
 import os
 from StringIO import StringIO
 import sys
@@ -897,9 +898,14 @@
         # On windows looks like:
         # "Failed to rename .../work/myfile to 
         # .../work/.bzr/checkout/limbo/new-1: [Errno 13] Permission denied"
-        # The strerror will vary per OS and language so it's not checked here
-        self.assertContainsRe(str(e),
-            "Failed to rename .*(first-dir.newname:|myfile)")
+        # This test isn't concerned with exactly what the error looks like,
+        # and the strerror will vary across OS and locales, but the assert
+        # that the exeception attributes are what we expect
+        self.assertEqual(e.errno, errno.EACCES)
+        if os.name == "posix":
+            self.assertEndsWith(e.to_path, "/first-dir/newname")
+        else:
+            self.assertEqual(os.path.basename(e.from_path), "myfile")
 
     def test_set_executability_order(self):
         """Ensure that executability behaves the same, no matter what order.

